import request from '@/utils/request'

// 查询公益慈善信息列表
export function listActivities(query) {
  return request({
    url: '/basicData/xcrCharitableActivities/findByPage',
    method: 'get',
    params: query
  })
}

// 查询公益慈善信息详细
export function getActivities(id) {
  return request({
    url: '/basicData/xcrCharitableActivities/' + id,
    method: 'get'
  })
}

// 新增公益慈善信息
export function addActivities(data) {
  return request({
    url: '/basicData/xcrCharitableActivities',
    method: 'post',
    data: data
  })
}

// 修改公益慈善信息
export function updateActivities(data) {
  return request({
    url: '/basicData/xcrCharitableActivities',
    method: 'put',
    data: data
  })
}

// 删除公益慈善信息
export function delActivities(id) {
  return request({
    url: '/basicData/xcrCharitableActivities/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delActivitiesBatch(ids) {
  return request.post('/basicData/xcrCharitableActivities/delete',ids)
}
